<template>
  <div id="app-layout">
    <!--<pace></pace>-->
    <!-- BEGIN SIDEBPANEL-->
    <page-sidebar ref="pageSidebar"></page-sidebar>
    <!-- END SIDEBAR -->
    <!-- END SIDEBPANEL-->
      <!-- START PAGE-CONTAINER -->
    <router-view @setNavVisible="setNavVisible"/>
      <!--START QUICKVIEW -->
    <quick-view></quick-view>
      <!-- END PAGE CONTAINER -->
      <!-- END QUICKVIEW-->
      <!-- START OVERLAY -->
    <overlay></overlay>
      <!-- END OVERLAY -->
  </div>
</template>
<script>
import PageSidebar from './PageSidebar';
import QuickView from './QuickView';
import Overlay from './Overlay';

export default {
    name: 'Layout',
    components: {
        PageSidebar,
        QuickView,
        Overlay
    },
    data () {
        return {
        };
    },
    methods:{
        setNavVisible: function () {
            this.$refs.pageSidebar.setVisible();
        }
    }
}
</script>

<style>
#app {

}
</style>
